## veusz 4.1

=== Documents/Makefile ===
############################################################################
#    Copyright (C) 2017 Jeremy S. Sanders
#    Email: Jeremy Sanders <jeremy@jeremysanders.net>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
############################################################################

verfile=../VERSION
RELEASE=$(shell cat $(verfile))
mansources=$(shell find manual-source -name *.rst)

all: man manual

############################################################################
# man pages

%.1: %.pod $(verfile)
	pod2man --release=$(RELEASE) --center="Veusz" $< > $@

%.man.txt: %.1
	MANWIDTH=76 man ./$< > $@

man: man-page/veusz.1 man-page/veusz.man.txt

############################################################################
# manual

manual-pdf: manual/pdf/veusz.pdf

manual-html: manual/html/index.html

manual/pdf/veusz.pdf: $(mansources) $(verfile)
	make -C manual-source latexpdf
	mkdir -p manual/pdf
	mv manual/latex/veusz.pdf manual/pdf/
	rm -rf manual/latex/

manual/html/index.html: $(mansources) $(verfile)
	make -C manual-source html

manual: manual-html manual-pdf
	rm -rf manual/doctrees/

############################################################################

clean:
	rm -f man-page/*.1 man-page/*.man.txt
	make -C manual-source clean

=== Documents/manual-source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../manual

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mbproj2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mbproj2.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mbproj2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mbproj2"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## veusz 1.10

=== debian/changelog ===
veusz (1.10-2build1) oneiric; urgency=low

  * No change rebuild for PyQt4 ABI change (LP: #859485)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 28 Sep 2011 20:07:20 +0200

veusz (1.10-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:40 +0200

veusz (1.10-1) unstable; urgency=low

  * Initial release (Closes: #447524)

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Wed, 30 Mar 2011 00:17:22 +0100

=== debian/control ===
Source: veusz
Section: science
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>
Build-Depends: debhelper (>= 7.3.5~),
               docbook-utils,
               docbook-xml,
               graphicsmagick,
               libqt4-dev,
               perl,
               python-all-dbg,
               python-all-dev (>= 2.6.5-13~),
               python-numpy,
               python-numpy-dbg,
               python-qt4-dbg,
               python-qt4-dev,
               python-sip-dbg,
               python-sip-dev
Standards-Version: 3.9.1
X-Python-Version: >= 2.4
Homepage: http://home.gna.org/veusz/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/veusz/trunk/
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/veusz/trunk/

Package: veusz
Architecture: all
Depends: python-numpy,
         python-qt4,
         veusz-helpers (<< ${source:Version}.1~),
         veusz-helpers (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pyfits
Breaks: ${python:Breaks}
Description: 2D scientific plotting application with graphical interface
 Veusz is a 2D scientific plotting and graphing package, designed to
 produce publication-ready Postscript or PDF output. Veusz provides a GUI,
 command line and scripting interface (based on Python) to its plotting
 facilities. The plots are built using an object-based system to
 provide a consistent interface.

Package: veusz-helpers
Architecture: any
Depends: python-numpy,
         python-qt4,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: ${python:Breaks}
Suggests: veusz (= ${source:Version})
Description: Architecture-specific helper module for Veusz
 This package contains the architecture specific files for Veusz, a scientific
 plotting package. This package contains the Python extension modules used
 internally by Veusz.

Package: veusz-helpers-dbg
Section: debug
Priority: extra
Architecture: any
Depends: veusz-helpers (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: ${python:Breaks}
Recommends: python-dbg, python-numpy-dbg, python-qt4-dbg
Description: Architecture-specific helper module for Veusz (debug extension)
 This package contains the architecture specific files for Veusz compiled to
 be able to use the Python debugging package or using standard Python with
 debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build: delete_generated
# icons for menus
	gm convert windows/icons/veusz_32.png debian/veusz.xpm
# regenerate docs
	(cd Documents; ./generate_manual.sh)
# -- --force works around bug #589759
	dh_auto_build -- --force

override_dh_strip:
	dh_strip --dbg-package=veusz-helpers-dbg

override_dh_compress:
# don't compress Veusz example files
	dh_compress -X.vsz

override_dh_clean: delete_generated
	dh_clean

delete_generated:
# delete files generated by rules
	rm -f debian/veusz.xpm
	rm -f Documents/manual.html Documents/manual.pdf \
		Documents/manual.txt \
		Documents/veusz.1 Documents/veusz_listen.1

## veusz 1.14

=== debian/changelog ===
veusz (1.14-1ubuntu1) precise; urgency=low

  * disable testsuite on armel/armhf
    fails due to too strict float comparisons

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 15 Feb 2012 19:45:22 +0100

veusz (1.14-1) unstable; urgency=low

  * Update to upstream Veusz 1.14 (Closes: #648957)
  * Enable test suite in build, adding Build-Depends of xauth, xfonts-base
    and xvfb
  * Properly attribute copyright of pyqtdistutils.py file to Develer Srl
  * Add Break statement in control for veusz-helpers rather than use a
    Depends statement
  * Bumped Standards-Version to 3.9.2
  * Enabled dpkg-buildflags for build

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Sun, 04 Dec 2011 19:02:17 +0200

veusz (1.10-2build2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:15:19 +0000

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,11 @@
                python-qt4-dbg,
                python-qt4-dev,
                python-sip-dbg,
-               python-sip-dev
-Standards-Version: 3.9.1
+               python-sip-dev,
+               xauth,
+               xfonts-base,
+               xvfb
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.4
 Homepage: http://home.gna.org/veusz/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/veusz/trunk/
@@ -27,12 +30,10 @@
 Architecture: all
 Depends: python-numpy,
          python-qt4,
-         veusz-helpers (<< ${source:Version}.1~),
          veusz-helpers (>= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-pyfits
-Breaks: ${python:Breaks}
 Description: 2D scientific plotting application with graphical interface
  Veusz is a 2D scientific plotting and graphing package, designed to
  produce publication-ready Postscript or PDF output. Veusz provides a GUI,
@@ -47,7 +48,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Breaks: ${python:Breaks}
+Breaks: veusz (<< ${source:Version})
 Suggests: veusz (= ${source:Version})
 Description: Architecture-specific helper module for Veusz
  This package contains the architecture specific files for Veusz, a scientific
@@ -62,7 +63,6 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Breaks: ${python:Breaks}
 Recommends: python-dbg, python-numpy-dbg, python-qt4-dbg
 Description: Architecture-specific helper module for Veusz (debug extension)
  This package contains the architecture specific files for Veusz compiled to

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,16 @@
 #!/usr/bin/make -f
+
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# Get the supported Python versions
+PYVERS = $(shell pyversions -r -v)
+
+# Callable functions to determine the correct PYTHONPATH
+pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
+pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib.*-$(1)-pydebug 2>/dev/null || ls -d $(CURDIR)/lib.*$(1)-pydebug)
 
 %:
 	dh $@ --with python2
@@ -10,6 +22,22 @@
 	(cd Documents; ./generate_manual.sh)
 # -- --force works around bug #589759
 	dh_auto_build -- --force
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+# tests fail on arm due to different float results see debian bug 654604
+ifeq (,$(filter $(DEBIAN_ARCH), armel armhf))
+	set -e -x;\
+	for py in $(PYVERS); do \
+		PYTHONPATH=$(call pythonpath,$$py) xvfb-run -a \
+			--server-args "-screen 0 640x480x24" \
+			python$$py tests/runselftest.py ;\
+		PYTHONPATH=$(call pythonpath_dbg,$$py) xvfb-run -a \
+			--server-args "-screen 0 640x480x24" \
+			python$$py-dbg tests/runselftest.py ;\
+	done
+endif
+endif
 
 override_dh_strip:
 	dh_strip --dbg-package=veusz-helpers-dbg

## veusz 1.15

=== debian/changelog ===
veusz (1.15-1build3) trusty; urgency=medium

  * No-change rebuild against sip 4.15.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Mar 2014 15:17:21 +0400

veusz (1.15-1build2) saucy; urgency=low

  * Rebuild against sip-api-10

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jun 2013 11:21:16 -0400

veusz (1.15-1build1) raring; urgency=low

  * Rebuild against sip-api-9.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Nov 2012 09:32:01 +0000

veusz (1.15-1) unstable; urgency=low

  * Update to upstream Veusz 1.15
  * Run dh_numpy to get numpy API dependeny
  * Run dh_sip and add sip:Depends dependency to get sip API
  * Replace patches with use of upstream setup.py options and symlinks
  * Bumped Standards-Version to 3.9.3
  * Do not run incorrectly failing self tests (Closes: #654604)
  * Run self test to run as LANG=C
  * Delete any self test failures on dh_clean
  * Update copyright header for released DEP5

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Thu, 03 May 2012 23:01:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                perl,
                python-all-dbg,
                python-all-dev (>= 2.6.5-13~),
-               python-numpy,
+               python-numpy (>= 1:1.4.1-4~),
                python-numpy-dbg,
                python-qt4-dbg,
                python-qt4-dev,
@@ -20,7 +20,7 @@
                xauth,
                xfonts-base,
                xvfb
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Homepage: http://home.gna.org/veusz/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/veusz/trunk/
@@ -47,7 +47,8 @@
          python-qt4,
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${sip:Depends}
 Breaks: veusz (<< ${source:Version})
 Suggests: veusz (= ${source:Version})
 Description: Architecture-specific helper module for Veusz
@@ -60,9 +61,12 @@
 Priority: extra
 Architecture: any
 Depends: veusz-helpers (= ${binary:Version}),
+         python-numpy,
+         python-qt4,
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${sip:Depends}
 Recommends: python-dbg, python-numpy-dbg, python-qt4-dbg
 Description: Architecture-specific helper module for Veusz (debug extension)
  This package contains the architecture specific files for Veusz compiled to

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
-DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Get the supported Python versions
 PYVERS = $(shell pyversions -r -v)
@@ -23,20 +22,37 @@
 # -- --force works around bug #589759
 	dh_auto_build -- --force
 
+override_dh_auto_install:
+# do not install examples and put data files in /usr/share/veusz
+	dh_auto_install -- --veusz-resource-dir=debian/veusz/usr/share/veusz --disable-install-examples
+
+# veusz follows symlink to find its resource directory
+	for py in $(PYVERS); do \
+		dh_link usr/share/veusz usr/lib/python$${py}/dist-packages/veusz/resources; \
+	done
+
+	dh_numpy
+	dh_sip
+
 override_dh_auto_test:
+# Run self tests. The current directory is used as the resource
+# directory as veusz hasn't been installed when this is run.
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-# tests fail on arm due to different float results see debian bug 654604
-ifeq (,$(filter $(DEBIAN_ARCH), armel armhf))
 	set -e -x;\
 	for py in $(PYVERS); do \
-		PYTHONPATH=$(call pythonpath,$$py) xvfb-run -a \
+		LC_ALL=C \
+		PYTHONPATH=$(call pythonpath,$$py) \
+		VEUSZ_RESOURCE_DIR=. \
+			xvfb-run -a \
 			--server-args "-screen 0 640x480x24" \
 			python$$py tests/runselftest.py ;\
-		PYTHONPATH=$(call pythonpath_dbg,$$py) xvfb-run -a \
+		LC_ALL=C \
+		PYTHONPATH=$(call pythonpath_dbg,$$py) \
+		VEUSZ_RESOURCE_DIR=. \
+			xvfb-run -a \
 			--server-args "-screen 0 640x480x24" \
 			python$$py-dbg tests/runselftest.py ;\
 	done
-endif
 endif
 
 override_dh_strip:
@@ -55,3 +71,5 @@
 	rm -f Documents/manual.html Documents/manual.pdf \
 		Documents/manual.txt \
 		Documents/veusz.1 Documents/veusz_listen.1
+# delete any self test failures
+	rm -f tests/*.temp.selftest

=== debian/watch ===
version=3
http://download.gna.org/veusz/veusz-(.*)\.tar.gz

## veusz 1.20.1

=== debian/changelog ===
veusz (1.20.1-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replaces relationship on veusz-helpers (<< 1.20.1-3) to fix
    wheezy->jessie upgrade path. (Closes: #714891)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 08 Mar 2014 23:33:45 -0800

veusz (1.20.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild in a clean sid environment for correct sip-api-10.0 dependency.
    (Closes: #739467, #740925)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 06 Mar 2014 09:52:43 -0800

veusz (1.20.1-1) unstable; urgency=low

  [Jakub Wilk]
  * Use canonical URIs for Vcs-* fields.

  [Jeremy Sanders]
  * Update to Veusz 1.20.1
  * Update Standards-Version to 3.9.5
  * Remove workaround for #589759
  * Remove patch to work around ARM test failures, as fixed upstream
  * Add patch for a second ARM self build failure (pushed upstream)
  * Install package-provided .desktop and mime database files
  * Modify documentation generation dependency to fop and xmlto
  * Add suggests for python-dbus and python-h5py
  * Increase minimum python version to 2.6
  * Add verification of signing key in watch and add upstream key
  * Update entries in copyright file

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Sun, 16 Feb 2014 14:25:00 +0100

## veusz 1.21.1

=== debian/changelog ===
veusz (1.21.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport a patch from upstream to add compatiblity with numpy 1.13.
    (Closes: #876664).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 23:20:35 +0200

veusz (1.21.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends on python-astropy instead of python-pyfits.  (Closes:
    #871550).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 12:36:11 +0000

veusz (1.21.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure the /usr/lib/python2.7/dist-packages/veusz/resources symlink is
    only shipped by the veusz binary package.  (Closes: #863594)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Jun 2017 14:38:41 +0200

veusz (1.21.1-1) unstable; urgency=low

  * Update to Veusz 1.21.1
  * Remove arm self test patch

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Sun, 31 Aug 2014 15:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
 Build-Depends: debhelper (>= 7.3.5~),
                docbook-utils,
                docbook-xml,
+               fop,
                graphicsmagick,
                libqt4-dev,
                perl,
                python-all-dbg,
                python-all-dev (>= 2.6.5-13~),
+               python-astropy,
+               python-h5py,
                python-numpy (>= 1:1.4.1-4~),
                python-numpy-dbg,
                python-qt4-dbg,
@@ -19,12 +22,13 @@
                python-sip-dev,
                xauth,
                xfonts-base,
+               xmlto,
                xvfb
-Standards-Version: 3.9.3
-X-Python-Version: >= 2.4
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.6
 Homepage: http://home.gna.org/veusz/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/veusz/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/veusz/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/veusz/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/veusz/trunk/
 
 Package: veusz
 Architecture: all
@@ -33,13 +37,18 @@
          veusz-helpers (>= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
-Suggests: python-pyfits
+Suggests: python-dbus,
+          python-h5py,
+          python-astropy
+Breaks: veusz-helpers (<< 1.20.1-3)
+Replaces: veusz-helpers (<< 1.20.1-3)
 Description: 2D scientific plotting application with graphical interface
  Veusz is a 2D scientific plotting and graphing package, designed to
  produce publication-ready Postscript or PDF output. Veusz provides a GUI,
  command line and scripting interface (based on Python) to its plotting
  facilities. The plots are built using an object-based system to
- provide a consistent interface.
+ provide a consistent interface. Veusz supports reading data from CSV, text,
+ HDF5 and FITS formats.
 
 Package: veusz-helpers
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,10 @@
 
 override_dh_auto_build: delete_generated
 # icons for menus
-	gm convert windows/icons/veusz_32.png debian/veusz.xpm
+	gm convert icons/veusz_32.png debian/veusz.xpm
 # regenerate docs
 	(cd Documents; ./generate_manual.sh)
-# -- --force works around bug #589759
-	dh_auto_build -- --force
+	dh_auto_build
 
 override_dh_auto_install:
 # do not install examples and put data files in /usr/share/veusz
@@ -28,7 +27,7 @@
 
 # veusz follows symlink to find its resource directory
 	for py in $(PYVERS); do \
-		dh_link usr/share/veusz usr/lib/python$${py}/dist-packages/veusz/resources; \
+		dh_link -pveusz usr/share/veusz usr/lib/python$${py}/dist-packages/veusz/resources; \
 	done
 
 	dh_numpy
@@ -69,7 +68,7 @@
 # delete files generated by rules
 	rm -f debian/veusz.xpm
 	rm -f Documents/manual.html Documents/manual.pdf \
-		Documents/manual.txt \
+		Documents/manual.txt Documents/manual.fo \
 		Documents/veusz.1 Documents/veusz_listen.1
 # delete any self test failures
 	rm -f tests/*.temp.selftest

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://download.gna.org/veusz/veusz-(.*)\.tar.gz

## veusz 3.0

=== debian/changelog ===
veusz (3.0-1build1) cosmic; urgency=medium

  * No change rebuild to add support for Python 3.7.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 13 Aug 2018 11:35:49 +1200

veusz (3.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Jeremy Sanders ]
  * Update to Veusz 3.0
  * d/copyright: Update URLs
  * d/control: Update descriptions
  * d/control: Update standards version to 4.1.4
  * d/patches: Removed 01-numpy-1.13.diff
  * d/rules: Fix for self tests for newer pybuild versions
  * Switch from Python 2 to 3 and provide a python3-veusz subpackage

  [ Andreas Tille ]
  * hardening=+all
  * Fix capitalisation in description
  * Fix path in d/copyright
  * Fix short description
  * Move packaging to Debian Science team

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Sat, 16 Jun 2018 10:48:00 +0200

veusz (2.0.1-1) unstable; urgency=low

  * Update to Veusz 2.0.1 which uses Qt5 (closes: #875232)
  * Split out module into python3-veusz and python-veusz packages
  * Rename veusz-helpers to python*-veusz.helpers
  * Split out common data into veusz-data

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Sat, 30 Sep 2017 11:45:00 +0200

=== debian/control ===
Source: veusz
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               libqt5core5a,
               libqt5dbus5,
               libqt5gui5,
               libqt5svg5,
               libqt5widgets5,
               libqt5xml5,
               python3-all,
               python3-astropy,
               python3-h5py,
               python3-pyqt5,
               python3-pyqt5.qtsvg,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-sip-dev,
               python3-sphinx,
               pyqt5-dev,
               pyqt5-dev-tools,
               qtbase5-dev,
               xauth,
               xfonts-base,
               xvfb
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/veusz
Vcs-Git: https://salsa.debian.org/science-team/veusz.git
Homepage: https://veusz.github.io/

Package: veusz
Architecture: all
Depends: python3-veusz (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: 2D and 3D scientific plotting application with graphical interface
 Veusz is a 2D and 3D scientific plotting and graphing package,
 designed to produce publication-ready PDF, SVG, Postscript and bitmap
 output. Veusz provides a GUI, command line and scripting interface
 (based on Python) to its plotting facilities. The plots are built
 using an object-based system to provide a consistent interface.
 .
 This package includes the main executable, documentation and examples.

Package: python3-veusz
Architecture: all
Section: python
Depends: python3-numpy,
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-veusz.helpers (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: ghostscript,
          python3-astropy,
          python3-dbus,
          python3-h5py
Description: 2D and 3D scientific plotting application with graphical interface
 Veusz is a 2D and 3D scientific plotting and graphing package,
 designed to produce publication-ready PDF, SVG, Postscript and bitmap
 output. Veusz provides a GUI, command line and scripting interface
 (based on Python) to its plotting facilities. The plots are built
 using an object-based system to provide a consistent interface.
 .
 This package includes the Python 3 plotting module.

Package: python3-veusz.helpers
Architecture: any
Section: python
Depends: python3-numpy,
         python3-pyqt5,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sip3:Depends}
Suggests: python3-veusz (= ${source:Version})
Breaks: python3-veusz (<< ${source:Version})
Description: 2D and 3D scientific plotting application with graphical interface
 Veusz is a 2D and 3D scientific plotting and graphing package,
 designed to produce publication-ready PDF, SVG, Postscript and bitmap
 output. Veusz provides a GUI, command line and scripting interface
 (based on Python) to its plotting facilities. The plots are built
 using an object-based system to provide a consistent interface.
 .
 This package includes the architecture-specific parts of the Python 3 plotting
 module.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

# Get the supported Python versions
PY3VERS = $(shell py3versions -r -v)

# Callable functions to determine the correct PYTHONPATH
# (pyinstaller moved from pythonX.Y ->cpython[23] - this is for compatibility)
pythonpath = $$(ls -d $(CURDIR)/.pybuild/pythonX.Y_$(1)/build \
	$(CURDIR)/.pybuild/cpython3_$(1)/build)

# examples are not installed, but included manually in package
export PYBUILD_INSTALL_ARGS = \
	--veusz-resource-dir=debian/tmp/usr/share/veusz \
	--disable-install-examples
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build: delete_generated
	dh_auto_build

# desktop files are copied from source package
	cp -p support/veusz.desktop debian/
	cp -p support/veusz.xml debian/veusz.sharedmimeinfo

# regenerate docs
	PYTHONPATH=. sphinx-build -N -bhtml Documents/manual-source build/html
	pod2man --release=`cat VERSION` --center="Veusz"  Documents/man-page/veusz.pod build/veusz.1

override_dh_auto_install:
# do not install examples and put data files in /usr/share/veusz
	dh_auto_install

# veusz follows symlink to find its resources
	for py in $(PY3VERS); do \
		dh_link -ppython3-veusz usr/share/veusz usr/lib/python$${py}/dist-packages/veusz/resources; \
	done
# COPYING is symlinked in veusz package
	rm -f debian/tmp/usr/share/veusz/COPYING

	dh_numpy3
	dh_sip3

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x;\
	for py in $(PY3VERS); do \
		PYTHONPATH=$(call pythonpath,$$py) \
			VEUSZ_RESOURCE_DIR=. \
			xvfb-run -a \
			--server-args "-screen 0 640x480x24" \
			python$$py tests/runselftest.py ;\
	done
endif

override_dh_compress:
# don't compress Veusz example files
	dh_compress -X.vsz -X.csv

override_dh_clean: delete_generated
	dh_clean

delete_generated:
# delete files generated by rules
	rm -f debian/veusz.sharedmimeinfo debian/veusz.desktop

## veusz 3.0.1

=== debian/changelog ===
veusz (3.0.1-1ubuntu4) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:23:23 +0100

veusz (3.0.1-1ubuntu3) focal; urgency=medium

  * Fix installation of Python 3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Oct 2019 21:10:22 +0200

veusz (3.0.1-1ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:57:14 +0000

veusz (3.0.1-1ubuntu1) disco; urgency=medium

  * Use unsigned long for widget ids, to fix OverflowError.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2019 09:03:13 +0300

veusz (3.0.1-1) unstable; urgency=low

  [ Jeremy Sanders ]
  * Update to Veusz 3.0.1
  * Remove build xvfb dependency
  * Add breaks+replaces for veusz and veusz-helpers << 3.0-1 (closes: #903450)
  * Use qtchooser method for finding qmake

  [ Andreas Tille ]
  * Add autopkgtest
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Fri, 08 Feb 2019 14:53:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: veusz
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                libqt5core5a,
                libqt5dbus5,
@@ -23,11 +24,9 @@
                python3-sphinx,
                pyqt5-dev,
                pyqt5-dev-tools,
-               qtbase5-dev,
-               xauth,
-               xfonts-base,
-               xvfb
-Standards-Version: 4.1.4
+               qt5-qmake,
+               qtbase5-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/veusz
 Vcs-Git: https://salsa.debian.org/science-team/veusz.git
 Homepage: https://veusz.github.io/
@@ -59,6 +58,8 @@
           python3-astropy,
           python3-dbus,
           python3-h5py
+Breaks: veusz (<< 3.0-1)
+Replaces: veusz (<< 3.0-1)
 Description: 2D and 3D scientific plotting application with graphical interface
  Veusz is a 2D and 3D scientific plotting and graphing package,
  designed to produce publication-ready PDF, SVG, Postscript and bitmap
@@ -78,7 +79,8 @@
          ${shlibs:Depends},
          ${sip3:Depends}
 Suggests: python3-veusz (= ${source:Version})
-Breaks: python3-veusz (<< ${source:Version})
+Breaks: veusz-helpers (<< 3.0-1)
+Replaces: veusz-helpers (<< 3.0-1)
 Description: 2D and 3D scientific plotting application with graphical interface
  Veusz is a 2D and 3D scientific plotting and graphing package,
  designed to produce publication-ready PDF, SVG, Postscript and bitmap

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export QT_SELECT := qt5
 
 # Get the supported Python versions
 PY3VERS = $(shell py3versions -r -v)
@@ -54,8 +55,7 @@
 	for py in $(PY3VERS); do \
 		PYTHONPATH=$(call pythonpath,$$py) \
 			VEUSZ_RESOURCE_DIR=. \
-			xvfb-run -a \
-			--server-args "-screen 0 640x480x24" \
+			QT_QPA_PLATFORM=minimal \
 			python$$py tests/runselftest.py ;\
 	done
 endif

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
  https://github.com/veusz/veusz/releases .*/download/.*/veusz-(\d\S+)\.tar\.gz

## veusz 3.3.1

=== debian/changelog ===
veusz (3.3.1-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:06:26 +0000

veusz (3.3.1-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream changes to fix FTBFS with sip 6.2 (closes: #997526).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Nov 2021 12:37:04 +0300

veusz (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to build using sipbuild API instead of deprecated sip5 tool.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Aug 2021 17:50:51 +0300

veusz (3.3.1-1) unstable; urgency=low

  * Update to Veusz 3.3.1
  * Bump Standards-Version to 4.5.1
  * Include upstream GPG signing key
  * Drop upstreamed sip5 compatibility patches
  * Increase debhelper-compat level to 13

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Wed, 16 Dec 2020 14:35:00 +0100

veusz (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * Port from sip4 to sip5 (closes: #964133, #971172).
    - Add three patches that were accepted upstream.
    - Update build- and run-time dependencies.
    - Export SIP_EXE=sip5 in debian/rules.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Sep 2020 21:56:32 +0300

veusz (3.2.1-1) unstable; urgency=low

  [ Jeremy Sanders ]
  * Update to Veusz 3.2.1 (Closes: #945467)
  * Standards-Version: 4.5.0
  * Copy icon files rather than symlink, to fix icon-not-found appsteam
    generator error
  * Fix glob for .so files in python3-veusz.helpers
  * Fix linitan warnings for rules-requires-root,
    uses-debhelper-compat-file, sphinxdoc-but-no-sphinxdoc-depends,
    duplicate-short-description

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Sun, 17 May 2020 11:12:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: veusz
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-python,
                libqt5core5a,
                libqt5dbus5,
@@ -13,20 +13,21 @@
                libqt5widgets5,
                libqt5xml5,
                python3-all,
+               python3-all-dev,
                python3-astropy,
                python3-h5py,
-               python3-pyqt5,
-               python3-pyqt5.qtsvg,
+               python3-numpy,
+               python3-pyqt5 (>= 5.15.0+dfsg-1+exp2),
+               python3-pyqt5.qtsvg (>= 5.15.0+dfsg-1+exp2),
                python3-setuptools,
-               python3-all-dev,
-               python3-numpy,
-               python3-sip-dev,
+               python3-sipbuild,
                python3-sphinx,
-               pyqt5-dev,
+               pyqt5-dev (>= 5.15.0+dfsg-1+exp2),
                pyqt5-dev-tools,
                qt5-qmake,
                qtbase5-dev
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/veusz
 Vcs-Git: https://salsa.debian.org/science-team/veusz.git
 Homepage: https://veusz.github.io/
@@ -35,7 +36,8 @@
 Architecture: all
 Depends: python3-veusz (>= ${source:Version}),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Description: 2D and 3D scientific plotting application with graphical interface
  Veusz is a 2D and 3D scientific plotting and graphing package,
  designed to produce publication-ready PDF, SVG, Postscript and bitmap
@@ -60,7 +62,7 @@
           python3-h5py
 Breaks: veusz (<< 3.0-1)
 Replaces: veusz (<< 3.0-1)
-Description: 2D and 3D scientific plotting application with graphical interface
+Description: 2D and 3D scientific plotting application (Python interface)
  Veusz is a 2D and 3D scientific plotting and graphing package,
  designed to produce publication-ready PDF, SVG, Postscript and bitmap
  output. Veusz provides a GUI, command line and scripting interface
@@ -73,15 +75,14 @@
 Architecture: any
 Section: python
 Depends: python3-numpy,
-         python3-pyqt5,
+         python3-pyqt5 (>= 5.15.0+dfsg-1+exp2),
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         ${sip3:Depends}
+         ${shlibs:Depends}
 Suggests: python3-veusz (= ${source:Version})
 Breaks: veusz-helpers (<< 3.0-1)
 Replaces: veusz-helpers (<< 3.0-1)
-Description: 2D and 3D scientific plotting application with graphical interface
+Description: 2D and 3D scientific plotting application (binary modules)
  Veusz is a 2D and 3D scientific plotting and graphing package,
  designed to produce publication-ready PDF, SVG, Postscript and bitmap
  output. Veusz provides a GUI, command line and scripting interface

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 	rm -f debian/tmp/usr/share/veusz/COPYING
 
 	dh_numpy3
-	dh_sip3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -67,6 +66,10 @@
 override_dh_clean: delete_generated
 	dh_clean
 
+override_dh_missing:
+	rm -r `find debian/tmp -name __pycache__`
+	dh_missing
+
 delete_generated:
 # delete files generated by rules
 	rm -f debian/veusz.sharedmimeinfo debian/veusz.desktop

## veusz 3.5.3

=== debian/changelog ===
veusz (3.5.3-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 13 Mar 2023 10:07:45 +0000

veusz (3.5.3-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Update gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add upstream patch to fix test failure with Numpy 1.24 (closes: #1029073).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Jan 2023 13:33:57 +0400

veusz (3.5.3-1) unstable; urgency=low

  * Update to Veusz 3.5.3 (Closes: #1023185)
  * Update Standards-Version to 4.6.1
  * Remove upstreamed patches (sipbuild API and sip6 build system)
  * Remove source causing lintian error source-is-missing
  * Clean up rules

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Sun, 06 Nov 2022 13:55:00 +0300

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,14 @@
                python3-setuptools,
                python3-sipbuild,
                python3-sphinx,
+               python3-tomli,
                pyqt5-dev (>= 5.15.0+dfsg-1+exp2),
                pyqt5-dev-tools,
                qt5-qmake,
-               qtbase5-dev
+               qtbase5-dev,
+               sip-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/veusz
 Vcs-Git: https://salsa.debian.org/science-team/veusz.git
 Homepage: https://veusz.github.io/

## veusz 3.6.2

=== debian/changelog ===
veusz (3.6.2-1) unstable; urgency=medium

  * Team upload.

  * [44bc918] Remove too old package: veusz-helpers from breaks-replaces
  * [58358b7] Update .gitlab-ci.yml

  [ Jeremy Sanders ]
  * Update to Veusz 3.6.2
  * Remove upstreamed patch for Numpy test failures

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Mar 2023 07:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -28,11 +28,11 @@
                qt5-qmake,
                qtbase5-dev,
                sip-tools
-Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/veusz
 Vcs-Git: https://salsa.debian.org/science-team/veusz.git
 Homepage: https://veusz.github.io/
+Rules-Requires-Root: no
 
 Package: veusz
 Architecture: all
@@ -62,8 +62,6 @@
           python3-astropy,
           python3-dbus,
           python3-h5py
-Breaks: veusz (<< 3.0-1)
-Replaces: veusz (<< 3.0-1)
 Description: 2D and 3D scientific plotting application (Python interface)
  Veusz is a 2D and 3D scientific plotting and graphing package,
  designed to produce publication-ready PDF, SVG, Postscript and bitmap
@@ -82,8 +80,6 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Suggests: python3-veusz (= ${source:Version})
-Breaks: veusz-helpers (<< 3.0-1)
-Replaces: veusz-helpers (<< 3.0-1)
 Description: 2D and 3D scientific plotting application (binary modules)
  Veusz is a 2D and 3D scientific plotting and graphing package,
  designed to produce publication-ready PDF, SVG, Postscript and bitmap

=== debian/tests/control ===
Test-Command: XDG_RUNTIME_DIR=/tmp VEUSZ_RESOURCE_DIR=. QT_QPA_PLATFORM=minimal python3 tests/runselftest.py
Depends: @
Restrictions: allow-stderr
